From 7ed1556428e6114e88091f2d0d5b593df7e1e3b1 Mon Sep 17 00:00:00 2001
From: Elliott Hughes <enh@google.com>
Date: Thu, 21 Mar 2024 13:20:16 -0700
Subject: [PATCH] elf.h: add risc-v ELF e_flags constants.

Names and values all taken from here:
https://github.com/riscv-non-isa/riscv-elf-psabi-doc/blob/master/riscv-elf.adoc#file-header
---
 include/elf.h | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/include/elf.h b/include/elf.h
index 3d5e13e4..88c4d96b 100644
--- a/include/elf.h
+++ b/include/elf.h
@@ -3250,6 +3250,15 @@ enum
 #define R_BPF_NONE		0
 #define R_BPF_MAP_FD		1
 
+#define EF_RISCV_RVC              0x01
+#define EF_RISCV_FLOAT_ABI        0x06
+#define EF_RISCV_FLOAT_ABI_SOFT   0x00
+#define EF_RISCV_FLOAT_ABI_SINGLE 0x02
+#define EF_RISCV_FLOAT_ABI_DOUBLE 0x04
+#define EF_RISCV_FLOAT_ABI_QUAD   0x06
+#define EF_RISCV_RVE              0x08
+#define EF_RISCV_TSO              0x10
+
 #define R_RISCV_NONE            0
 #define R_RISCV_32              1
 #define R_RISCV_64              2
-- 
2.44.0.396.g6e790dbe36-goog

